Loading...
Searching...
No Matches
PrintLoopNest.h File Reference

Defines methods to print out the loop nest corresponding to a schedule. More...

`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::string | Halide::Internal::print_loop_nest (const std::vector< Function > &output_funcs)
| Emit some simple pseudocode that shows the structure of the loop nest specified by this pipeline's schedule, and the schedules of the functions it uses.

## Detailed Description

Defines methods to print out the loop nest corresponding to a schedule.

Definition in file PrintLoopNest.h.